Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Enter your API Key in the format: Bearer . Get it from https://gbox.ai

Path Parameters

boxId
string
required

Box ID

Example:

"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"

Query Parameters

workingDir
string

Working directory. If not provided, the file will be read from the box.config.workingDir directory.

Example:

"/home/user/documents"

path
string
required

Target path in the box. If the path does not start with '/', the file/directory will be checked relative to the working directory

Example:

"/home/user/documents/output.txt"

Response

Get file/dir

File system file representation

type
enum<string>
required

File type indicator

Available options:
file
name
string
required

Name of the file

Example:

"example.txt"

path
string
required

Full path to the file in the box

Example:

"/path/to/example.txt"

size
string
required

Size of the file

Example:

"10MB"

mode
string
required

File metadata

Example:

"755"

lastModified
string<date-time>
required

Last modified time of the file

Example:

"2021-01-01T00:00:00Z"